<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: sylvia_admin.php
| Version: 1.0.0
| Author: Yodix (www.on-deck.eu)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INFUSIONS."sylvia/sylvia_core.php";

if (!checkrights("SVA") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }
if (!isset($_GET['page']) || !in_array($_GET['page'], explode(",", Sylvia::AdminPages))) { $_GET['page'] = "main"; }

$Sylvia->InitNavi();
$Sylvia->GenNavi("<table cellpadding='0' cellspacing='0' class='tbl-border' align='center' style='width:400px; margin-bottom:20px; text-align:center;'>\n<tr>\n");
$Sylvia->GenNavi("<td class='tbl1'>\n");
$Sylvia->GenNavi("<a href='".FUSION_SELF.$aidlink."&amp;page=blockades' title='".$Sylvia->locale['sylvia_admin_00_003']."'>".(isset($_GET['page']) && $_GET['page'] == "blockades" ? "<strong>".$Sylvia->locale['sylvia_admin_00_003']."</strong>" : $Sylvia->locale['sylvia_admin_00_003'])."</a> :: \n");
$Sylvia->GenNavi("<a href='".FUSION_SELF.$aidlink."&amp;page=settings' title='".$Sylvia->locale['sylvia_admin_00_004']."'>".(isset($_GET['page']) && $_GET['page'] == "settings" ? "<strong>".$Sylvia->locale['sylvia_admin_00_004']."</strong>" : $Sylvia->locale['sylvia_admin_00_004'])."</a>\n");
$Sylvia->GenNavi("</td>\n");
$Sylvia->GenNavi("</tr>\n</table>\n");

if (isset($_GET['status']) && !empty($_GET['status'])) {
	$Sylvia->InitError(1);
	echo "<div id='close-message'><div class='admin-message'>".$Sylvia->GetError($_GET['status'])."</div></div>\n";
	$Sylvia->DestructError();
}

if (isset($_GET['page']) && $_GET['page'] == "main") {
	opentable($Sylvia->locale['sylvia_admin_00_000']."&nbsp".Sylvia::Version.$Sylvia->locale['sylvia_admin_00_001'].$Sylvia->locale['sylvia_admin_00_002']);
	echo "<div style='text-align:center;'>\n";
	echo "<a href='".FUSION_SELF.$aidlink."&amp;page=blockades'><img src='".INFUSIONS."sylvia/images/blockades2.png' alt='".$Sylvia->locale['sylvia_admin_00_003']."' border='0' onmouseover=\"this.src = '".INFUSIONS."sylvia/images/blockades.png'\" onmouseout=\"this.src = '".INFUSIONS."sylvia/images/blockades2.png'\" /></a>&nbsp;<a href='".FUSION_SELF.$aidlink."&amp;page=settings'><img src='".INFUSIONS."sylvia/images/settings2.png' alt='".$Sylvia->locale['sylvia_admin_00_004']."' border='0' onmouseover=\"this.src = '".INFUSIONS."sylvia/images/settings.png'\" onmouseout=\"this.src = '".INFUSIONS."sylvia/images/settings2.png'\" /></a>";
	echo "</div>\n";
	closetable();
} elseif (isset($_GET['page']) && $_GET['page'] == "blockades") {
	if (isset($_GET['action']) && $_GET['action'] == "create" && !isset($_GET['blockade_id'])) {
		if (isset($_POST['add_blockade'])) {
			$blockade_name = isset($_POST['blockade_name']) ? stripinput($_POST['blockade_name']) : "";
			$blockade_text = isset($_POST['blockade_text']) ? trim(stripinput($_POST['blockade_text'])) : "";
			$blockade_data = isset($_POST['blockade_data']) && isnum($_POST['blockade_data']) ? $_POST['blockade_data'] : 0;
			
			if ($Sylvia->settings['warnings_type'] == 2) {
				$blockade_data = $blockade_data <= 100 ? $blockade_data : 0;
			}
			
			if (!empty($blockade_name)) {
				if (!empty($blockade_text)) {
					if ($blockade_data != 0) {
						if (dbcount("(blockade_id)", DB_SYLVIA_BLOCKADES, "blockade_name='".$blockade_name."'") == 0) {
							$result = dbquery("INSERT INTO ".DB_SYLVIA_BLOCKADES." (blockade_name, blockade_text, blockade_code, blockade_data, blockade_active) VALUES ('".$blockade_name."', '".$blockade_text."', '".Sylvia::GenKey(25)."', '".$blockade_data."', '1')");
							if ($result) {
								redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_added");
							} else {
								redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_add_error1");
							}
						} else {
							redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_add_error2");
						}
					} else {
						redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_add_error3");
					}
				} else {
					redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_add_error4");
				}
			} else {
				redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_add_error5");
			}
		} else {
			opentable($Sylvia->locale['sylvia_admin_00_000']."&nbsp".Sylvia::Version.$Sylvia->locale['sylvia_admin_00_001'].$Sylvia->locale['sylvia_admin_00_003'].$Sylvia->locale['sylvia_admin_00_001'].$Sylvia->locale['sylvia_admin_00_005']);
			echo $Sylvia->RenderNavi();
			echo "<form name='addblockade' method='post' action='".FUSION_SELF.$aidlink."&amp;page=blockades&amp;action=create'>\n";
			echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
			echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$Sylvia->locale['sylvia_admin_03_000'].":</td>\n";
			echo "<td class='tbl'><input type='text' name='blockade_name' value='' class='textbox' style='width:200px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$Sylvia->locale['sylvia_admin_03_001'].":</td>\n";
			echo "<td class='tbl'><input type='text' name='blockade_text' value='' class='textbox' style='width:200px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='1%' class='tbl' style='white-space:nowrap'>".($Sylvia->settings['warnings_type'] == 1 ? $Sylvia->locale['sylvia_admin_03_002'] : $Sylvia->locale['sylvia_admin_03_003']).":</td>\n";
			echo "<td class='tbl'><input type='text' name='blockade_data' value='' class='textbox' style='width:50px;' />".($Sylvia->settings['warnings_type'] == 2 ? "%" : "")."</td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td align='center' colspan='2' class='tbl'>\n";
			echo "<input type='submit' name='add_blockade' value='".$Sylvia->locale['sylvia_admin_03_004']."' class='button' /></td>\n";
			echo "</tr>\n</table>\n</form>\n";
			closetable();
		}
	} elseif (isset($_GET['action']) && $_GET['action'] == "edit" && isset($_GET['blockade_id']) && isnum($_GET['blockade_id'])) {
		$result = dbquery("SELECT blockade_id, blockade_name, blockade_text, blockade_code, blockade_data, blockade_active FROM ".DB_SYLVIA_BLOCKADES." WHERE blockade_id='".$_GET['blockade_id']."'");
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			
			if (isset($_POST['update_blockade'])) {
				$blockade_name = isset($_POST['blockade_name']) ? stripinput($_POST['blockade_name']) : "";
				$blockade_text = isset($_POST['blockade_text']) ? trim(stripinput($_POST['blockade_text'])) : "";
				$blockade_data = isset($_POST['blockade_data']) && isnum($_POST['blockade_data']) ? $_POST['blockade_data'] : 0;
				$blockade_active = isset($_POST['blockade_active']) && $_POST['blockade_active'] == 1 ? $_POST['blockade_active'] : 0;
				
				if ($Sylvia->settings['warnings_type'] == 2) {
					$blockade_data = $blockade_data <= 100 ? $blockade_data : 0;
				}
				
				if (!empty($blockade_name)) {
					if (!empty($blockade_text)) {
						if ($blockade_data != 0) {
							if ($data['blockade_name'] == $blockade_name || dbcount("(blockade_id)", DB_SYLVIA_BLOCKADES, "blockade_name='".$blockade_name."'") == 0) {
								$result2 = dbquery("UPDATE ".DB_SYLVIA_BLOCKADES." SET blockade_name='".$blockade_name."', blockade_text='".$blockade_text."', blockade_data='".$blockade_data."', blockade_active='".$blockade_active."' WHERE blockade_id='".$data['blockade_id']."'");
								if ($result) {
									redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_updated");
								} else {
									redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_update_error1");
								}
							} else {
								redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_update_error2");
							}
						} else {
							redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_update_error3");
						}
					} else {
						redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_update_error4");
					}
				} else {
					redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_update_error5");
				}
			} else {
				opentable($Sylvia->locale['sylvia_admin_00_000']."&nbsp".Sylvia::Version.$Sylvia->locale['sylvia_admin_00_001'].$Sylvia->locale['sylvia_admin_00_003'].$Sylvia->locale['sylvia_admin_00_001'].sprintf($Sylvia->locale['sylvia_admin_00_006'], $data['blockade_name']));
				echo $Sylvia->RenderNavi();
				echo "<form name='updateblockade' method='post' action='".FUSION_SELF.$aidlink."&amp;page=blockades&amp;action=edit&amp;blockade_id=".$data['blockade_id']."'>\n";
				echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
				echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$Sylvia->locale['sylvia_admin_04_000'].":</td>\n";
				echo "<td class='tbl'><input type='text' name='blockade_name' value='".$data['blockade_name']."' class='textbox' style='width:200px;' /></td>\n";
				echo "</tr>\n<tr>\n";
				echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$Sylvia->locale['sylvia_admin_04_001'].":</td>\n";
				echo "<td class='tbl'><input type='text' name='blockade_text' value='".$data['blockade_text']."' class='textbox' style='width:200px;' /></td>\n";
				echo "</tr>\n<tr>\n";
				echo "<td width='1%' class='tbl' style='white-space:nowrap'>".($Sylvia->settings['warnings_type'] == 1 ? $Sylvia->locale['sylvia_admin_04_002'] : $Sylvia->locale['sylvia_admin_04_003']).":</td>\n";
				echo "<td class='tbl'><input type='text' name='blockade_data' value='".$data['blockade_data']."' class='textbox' style='width:50px;' />".($Sylvia->settings['warnings_type'] == 2 ? "%" : "")."</td>\n";
				echo "</tr>\n<tr>\n";
				echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$Sylvia->locale['sylvia_admin_04_005'].":</td>\n";
				echo "<td class='tbl'><label><input type='checkbox' name='blockade_active' value='1'".($data['blockade_active'] == 1 ? " checked='checked'" : "")." />".$Sylvia->locale['sylvia_admin_04_006']."</label></td>\n";
				echo "</tr>\n<tr>\n";
				echo "<td align='center' colspan='2' class='tbl'>\n";
				echo "<input type='submit' name='update_blockade' value='".$Sylvia->locale['sylvia_admin_04_007']."' class='button' /></td>\n";
				echo "</tr>\n</table>\n</form>\n";
				closetable();
			}
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_update_error6");
		}
	} elseif (isset($_GET['action']) && $_GET['action'] == "delete" && isset($_GET['blockade_id']) && isnum($_GET['blockade_id'])) {
		$result = dbquery("SELECT blockade_id, blockade_name FROM ".DB_SYLVIA_BLOCKADES." WHERE blockade_id='".$_GET['blockade_id']."'");
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			
			if (isset($_POST['yes'])) {
				$result2 = dbquery("DELETE FROM ".DB_SYLVIA_BLOCKADES." WHERE blockade_id='".$_GET['blockade_id']."'");
				if ($result2) {
					redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_deleted");
				} else {
					redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_delete_error1");
				}
			} elseif (isset($_POST['no'])) {
				redirect(FUSION_SELF.$aidlink."&amp;page=blockades");
			} else {
				opentable($Sylvia->locale['sylvia_admin_00_000']."&nbsp".Sylvia::Version.$Sylvia->locale['sylvia_admin_00_001'].$Sylvia->locale['sylvia_admin_00_003'].$Sylvia->locale['sylvia_admin_00_001'].sprintf($Sylvia->locale['sylvia_admin_00_007'], $data['blockade_name']));
				echo $Sylvia->RenderNavi();
				echo "<form name='updateblockade' method='post' action='".FUSION_SELF.$aidlink."&amp;page=blockades&amp;action=delete&amp;blockade_id=".$data['blockade_id']."'>\n";
				echo "<div style='text-align:center;'>\n";
				echo sprintf($Sylvia->locale['sylvia_admin_05_000'], $data['blockade_name'])."<br /><br />\n";
				echo "<input type='submit' name='yes' value='".$Sylvia->locale['sylvia_admin_05_001']."' class='button' />&nbsp;<input type='submit' name='no' value='".$Sylvia->locale['sylvia_admin_05_002']."' class='button' />";
				echo "</div>\n</form>\n";
				closetable();
			}
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_delete_error2");
		}
	} elseif (isset($_GET['action']) && $_GET['action'] == "enable" && isset($_GET['blockade_id']) && isnum($_GET['blockade_id'])) {
		$result = dbquery("SELECT blockade_id, blockade_name FROM ".DB_SYLVIA_BLOCKADES." WHERE blockade_id='".$_GET['blockade_id']."'");
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			
			if (isset($_POST['yes'])) {
				$result2 = dbquery("UPDATE ".DB_SYLVIA_BLOCKADES." SET blockade_active='1' WHERE blockade_id='".$_GET['blockade_id']."'");
				if ($result2) {
					redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_enabled");
				} else {
					redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_enable_error1");
				}
			} elseif (isset($_POST['no'])) {
				redirect(FUSION_SELF.$aidlink."&amp;page=blockades");
			} else {
				opentable($Sylvia->locale['sylvia_admin_00_000']."&nbsp".Sylvia::Version.$Sylvia->locale['sylvia_admin_00_001'].$Sylvia->locale['sylvia_admin_00_003'].$Sylvia->locale['sylvia_admin_00_001'].sprintf($Sylvia->locale['sylvia_admin_00_008'], $data['blockade_name']));
				echo $Sylvia->RenderNavi();
				echo "<form name='enableblockade' method='post' action='".FUSION_SELF.$aidlink."&amp;page=blockades&amp;action=enable&amp;blockade_id=".$data['blockade_id']."'>\n";
				echo "<div style='text-align:center;'>\n";
				echo sprintf($Sylvia->locale['sylvia_admin_06_000'], $Sylvia->locale['sylvia_admin_06_001'], $data['blockade_name'])."<br /><br />\n";
				echo "<input type='submit' name='yes' value='".$Sylvia->locale['sylvia_admin_06_003']."' class='button' />&nbsp;<input type='submit' name='no' value='".$Sylvia->locale['sylvia_admin_06_004']."' class='button' />";
				echo "</div>\n</form>\n";
				closetable();
			}
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_enable_error2");
		}
	} elseif (isset($_GET['action']) && $_GET['action'] == "disable" && isset($_GET['blockade_id']) && isnum($_GET['blockade_id'])) {
		$result = dbquery("SELECT blockade_id, blockade_name FROM ".DB_SYLVIA_BLOCKADES." WHERE blockade_id='".$_GET['blockade_id']."'");
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			
			if (isset($_POST['yes'])) {
				$result2 = dbquery("UPDATE ".DB_SYLVIA_BLOCKADES." SET blockade_active='0' WHERE blockade_id='".$_GET['blockade_id']."'");
				if ($result2) {
					redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_disabled");
				} else {
					redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_disable_error1");
				}
			} elseif (isset($_POST['no'])) {
				redirect(FUSION_SELF.$aidlink."&amp;page=blockades");
			} else {
				opentable($Sylvia->locale['sylvia_admin_00_000']."&nbsp".Sylvia::Version.$Sylvia->locale['sylvia_admin_00_001'].$Sylvia->locale['sylvia_admin_00_003'].$Sylvia->locale['sylvia_admin_00_001'].sprintf($Sylvia->locale['sylvia_admin_00_009'], $data['blockade_name']));
				echo $Sylvia->RenderNavi();
				echo "<form name='disableblockade' method='post' action='".FUSION_SELF.$aidlink."&amp;page=blockades&amp;action=disable&amp;blockade_id=".$data['blockade_id']."'>\n";
				echo "<div style='text-align:center;'>\n";
				echo sprintf($Sylvia->locale['sylvia_admin_06_000'], $Sylvia->locale['sylvia_admin_06_002'], $data['blockade_name'])."<br /><br />\n";
				echo "<input type='submit' name='yes' value='".$Sylvia->locale['sylvia_admin_06_003']."' class='button' />&nbsp;<input type='submit' name='no' value='".$Sylvia->locale['sylvia_admin_06_004']."' class='button' />";
				echo "</div>\n</form>\n";
				closetable();
			}
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;page=blockades&amp;status=blockade_disable_error2");
		}
	} else {
		add_to_head("
			<script src='".INFUSIONS."sylvia/facebox/jquery-1.2.2.pack.js' type='text/javascript'></script>
			<link href='".INFUSIONS."sylvia/facebox/facebox.css' media='screen' rel='stylesheet' type='text/css' />
			<script src='".INFUSIONS."sylvia/facebox/facebox.js' type='text/javascript'></script>

			<script type='text/javascript'>
				jQuery(document).ready(function($) {
				  $('a[rel*=facebox]').facebox() 
				})
			</script>
		");
		
		if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
		
		opentable($Sylvia->locale['sylvia_admin_00_000']."&nbsp".Sylvia::Version.$Sylvia->locale['sylvia_admin_00_001'].$Sylvia->locale['sylvia_admin_00_003']);
		echo $Sylvia->RenderNavi();
		echo "<div style='font-weight:bold;text-align:center;margin:5px;'><a href='".FUSION_SELF.$aidlink."&amp;page=blockades&amp;action=create' title='".$Sylvia->locale['sylvia_admin_02_011']."'>".$Sylvia->locale['sylvia_admin_02_011']."</a></div>\n";
		echo "<table width='500' cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
		$result = dbquery("SELECT blockade_id, blockade_name, blockade_text, blockade_code, blockade_data, blockade_active FROM ".DB_SYLVIA_BLOCKADES." ORDER BY blockade_name ASC LIMIT ".$_GET['rowstart'].",5");
		$rows = dbcount("(blockade_id)", DB_SYLVIA_BLOCKADES);
		if (dbrows($result) != 0) {
			$i = 0;
			echo "<tr>\n";
			echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'></td>\n";
			echo "<td class='tbl2'>".$Sylvia->locale['sylvia_admin_02_000']."</td>\n";
			echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".($Sylvia->settings['warnings_type'] == 1 ? $Sylvia->locale['sylvia_admin_02_003'] : $Sylvia->locale['sylvia_admin_02_015'])."</td>\n";
			echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$Sylvia->locale['sylvia_admin_02_004']."</td>\n";
			echo "</tr>\n";
			while ($data = dbarray($result)) {
				$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
				echo "<tr>\n";
				echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>".($data['blockade_active'] == 1 ? "<span style='font-weight:bold;color:#009900;'>[A]</span>" : "<span style='font-weight:bold;color:#FF0000;'>[N]</span>")."</td>\n";
				echo "<td class='".$cell_color."' style='font-size:9px;'>\n";
				echo "<strong>".$Sylvia->locale['sylvia_admin_02_001'].":</strong>&nbsp;".$data['blockade_name'];
				echo "<br />\n";
				echo "<strong>".$Sylvia->locale['sylvia_admin_02_002'].":</strong>&nbsp;".$data['blockade_code'];
				echo "<br />\n";
				echo "<strong>".$Sylvia->locale['sylvia_admin_02_007'].":</strong>&nbsp;".(strlen($data['blockade_text']) > 35 ? "<a href='#mydiv_".$data['blockade_id']."' rel='facebox'>".trimlink($data['blockade_text'], 35)."</a>" : $data['blockade_text']);
				if (strlen($data['blockade_text']) > 35) {
					echo "<div id='mydiv_".$data['blockade_id']."' style='display:none'>".$data['blockade_text']."</div>";
				}
				echo "</td>\n";
				echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>".number_format($data['blockade_data'], 0).($Sylvia->settings['warnings_type'] == 1 ? "" : "%")."</td>\n";
				echo "<td align='center' width='1%' class='".$cell_color."' style='white-space:nowrap'>\n";
				echo "<a href='".FUSION_SELF.$aidlink."&amp;page=blockades&amp;action=edit&amp;blockade_id=".$data['blockade_id']."'>".$Sylvia->locale['sylvia_admin_02_005']."</a> -\n";
				echo "<a href='".FUSION_SELF.$aidlink."&amp;page=blockades&amp;action=delete&amp;blockade_id=".$data['blockade_id']."'>".$Sylvia->locale['sylvia_admin_02_006']."</a><br />\n";
				if ($data['blockade_active'] == 1) {
					echo "<a href='".FUSION_SELF.$aidlink."&amp;page=blockades&amp;action=disable&amp;blockade_id=".$data['blockade_id']."'>".$Sylvia->locale['sylvia_admin_02_014']."</a>\n";
				} elseif ($data['blockade_active'] == 0) {
					echo "<a href='".FUSION_SELF.$aidlink."&amp;page=blockades&amp;action=enable&amp;blockade_id=".$data['blockade_id']."'>".$Sylvia->locale['sylvia_admin_02_013']."</a>\n";
				}
				echo "</td>\n";
				echo "</tr>\n";
				$i++;
			}
			echo "</table>\n";
		} else {
			echo "<tr><td align='center' class='tbl1'>".$Sylvia->locale['sylvia_admin_02_010']."</td></tr>\n</table>\n";
		}
		if ($rows > 5) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 5, $rows, 3, $aidlink."&amp;page=blockades&amp;")."\n</div>\n";
		echo "<div style='font-size:9px;text-align:center;margin:5px;'><strong>".$Sylvia->locale['sylvia_admin_02_012']."</strong><span style='color:#009900;'>[A]</span>&nbsp;".$Sylvia->locale['sylvia_admin_02_008']." | <span style='color:#FF0000;'>[N]</span>&nbsp;".$Sylvia->locale['sylvia_admin_02_009']."</div>\n";
		closetable();
	}
} elseif (isset($_GET['page']) && $_GET['page'] == "settings") {
	if (isset($_POST['save_settings'])) {
		include_once INCLUDES."infusions_include.php";
		
		$error = FALSE;
		$higher_settings = FALSE;
		
		if (isset($_POST['warning_system_enabled']) && ($_POST['warning_system_enabled'] == 1 || $_POST['warning_system_enabled'] == 0)) {
			$update = set_setting("warning_system_enabled", $_POST['warning_system_enabled'], "sylvia");
			if (!$update) $error = TRUE;
		}
		if (isset($_POST['warnings_type']) && ($_POST['warnings_type'] == 2 || $_POST['warnings_type'] == 1)) {
			$update = set_setting("warnings_type", $_POST['warnings_type'], "sylvia");
			if (!$update) $error = TRUE;
		}
		if (isset($_POST['warnings_ban_enabled']) && ($_POST['warnings_ban_enabled'] == 1 || $_POST['warnings_ban_enabled'] == 0)) {
			$update = set_setting("warnings_ban_enabled", $_POST['warnings_ban_enabled'], "sylvia");
			if (!$update) $error = TRUE;
		}
		if (isset($_POST['warnings_ban_number']) && isnum($_POST['warnings_ban_number']) && strlen($_POST['warnings_ban_number']) <= 10) {
			$update = set_setting("warnings_ban_number", $_POST['warnings_ban_number'], "sylvia");
			if (!$update) $error = TRUE;
		}
		if (isset($_POST['warnings_ban_time']) && isnum($_POST['warnings_ban_time']) && strlen($_POST['warnings_ban_time']) <= 5) {
			$update = set_setting("warnings_ban_time", $_POST['warnings_ban_time'], "sylvia");
			if (!$update) $error = TRUE;
		}
		if (isset($_POST['pointx_connected']) && ($_POST['pointx_connected'] == 1 || $_POST['pointx_connected'] == 0)) {
			$update = set_setting("pointx_connected", $_POST['pointx_connected'], "sylvia");
			if (!$update) $error = TRUE;
		}
		if (isset($_POST['pointx_returning']) && ($_POST['pointx_returning'] == 1 || $_POST['pointx_returning'] == 0)) {
			$update = set_setting("pointx_returning", $_POST['pointx_returning'], "sylvia");
			if (!$update) $error = TRUE;
		}
		
		redirect(FUSION_SELF.$aidlink."&amp;page=settings&amp;status=".($error ? "settings_update_error" : "settings_updated"));
	} else {
		opentable($Sylvia->locale['sylvia_admin_00_000']."&nbsp".Sylvia::Version.$Sylvia->locale['sylvia_admin_00_001'].$Sylvia->locale['sylvia_admin_00_004']);
		echo $Sylvia->RenderNavi();
		echo "<form name='settings' method='post' action='".FUSION_SELF.$aidlink."&amp;page=settings'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n<tr>\n";
		echo "<td align='center' colspan='2' class='tbl2'><span class='small2'>".$Sylvia->locale['sylvia_admin_07_011']."</span></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='50%' class='tbl'>".$Sylvia->locale['sylvia_admin_07_003']."</td>\n";
		echo "<td width='50%' class='tbl'><select name='warning_system_enabled' class='textbox'>\n";
		echo "<option value='1'".($Sylvia->settings['warning_system_enabled'] == "1" ? " selected='selected'" : "").">".$Sylvia->locale['sylvia_admin_07_000']."</option>\n";
		echo "<option value='0'".($Sylvia->settings['warning_system_enabled'] == "0" ? " selected='selected'" : "").">".$Sylvia->locale['sylvia_admin_07_001']."</option>\n";
		echo "</select></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='50%' class='tbl'>".$Sylvia->locale['sylvia_admin_07_004']."</td>\n";
		echo "<td width='50%' class='tbl'><select name='warnings_type' class='textbox'>\n";
		echo "<option value='1'".($Sylvia->settings['warnings_type'] == "1" ? " selected='selected'" : "").">".$Sylvia->locale['sylvia_admin_07_005']."</option>\n";
		echo "<option value='2'".($Sylvia->settings['warnings_type'] == "2" ? " selected='selected'" : "").">".$Sylvia->locale['sylvia_admin_07_006']."</option>\n";
		echo "</select></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='50%' class='tbl'>".$Sylvia->locale['sylvia_admin_07_007']."</td>\n";
		echo "<td width='50%' class='tbl'><select name='warnings_ban_enabled' class='textbox'>\n";
		echo "<option value='1'".($Sylvia->settings['warnings_ban_enabled'] == "1" ? " selected='selected'" : "").">".$Sylvia->locale['sylvia_admin_07_000']."</option>\n";
		echo "<option value='0'".($Sylvia->settings['warnings_ban_enabled'] == "0" ? " selected='selected'" : "").">".$Sylvia->locale['sylvia_admin_07_001']."</option>\n";
		echo "</select></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='50%' class='tbl'>".$Sylvia->locale['sylvia_admin_07_008']."</td>\n";
		echo "<td width='50%' class='tbl'><input type='text' name='warnings_ban_number' value='".$Sylvia->settings['warnings_ban_number']."' maxlength='10' class='textbox' style='width:50px;' autocomplete='off' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='50%' class='tbl'>".$Sylvia->locale['sylvia_admin_07_009']."</td>\n";
		echo "<td width='50%' class='tbl'><input type='text' name='warnings_ban_time' value='".$Sylvia->settings['warnings_ban_time']."' maxlength='5' class='textbox' style='width:50px;' autocomplete='off' />&nbsp;".$Sylvia->locale['sylvia_admin_07_010']."</td>\n";
		echo "</tr>\n<tr>\n";
		if (dbcount("(inf_id)", DB_INFUSIONS, "inf_folder='pointx'") == 1 && file_exists(INFUSIONS."pointx/system/PointX.class.php")) {
			if ($Sylvia->px_version == FALSE) {
				echo "<td align='center' colspan='2' class='tbl2'><span class='small2'>".$Sylvia->locale['sylvia_admin_07_012']."</span></td>\n";
				echo "</tr>\n<tr>\n";
				echo "<td align='center' colspan='2' class='tbl'><span class='small'>".$Sylvia->locale['sylvia_admin_07_013']."</span></td>\n";
				echo "</tr>\n<tr>\n";
				echo "<td width='50%' class='tbl'>".$Sylvia->locale['sylvia_admin_07_014']."</td>\n";
				echo "<td width='50%' class='tbl'><select name='pointx_connected' class='textbox'>\n";
				echo "<option value='1'".($Sylvia->settings['pointx_connected'] == "1" ? " selected='selected'" : "").">".$Sylvia->locale['sylvia_admin_07_000']."</option>\n";
				echo "<option value='0'".($Sylvia->settings['pointx_connected'] == "0" ? " selected='selected'" : "").">".$Sylvia->locale['sylvia_admin_07_001']."</option>\n";
				echo "</select></td>\n";
				echo "</tr>\n<tr>\n";
				echo "<td width='50%' class='tbl'>".$Sylvia->locale['sylvia_admin_07_015']."</td>\n";
				echo "<td width='50%' class='tbl'><select name='pointx_returning' class='textbox'>\n";
				echo "<option value='1'".($Sylvia->settings['pointx_returning'] == "1" ? " selected='selected'" : "").">".$Sylvia->locale['sylvia_admin_07_000']."</option>\n";
				echo "<option value='0'".($Sylvia->settings['pointx_returning'] == "0" ? " selected='selected'" : "").">".$Sylvia->locale['sylvia_admin_07_001']."</option>\n";
				echo "</select></td>\n";
				echo "</tr>\n<tr>\n";
			} elseif ($Sylvia->px_version == TRUE) {
				echo "<td align='center' colspan='2' class='tbl-error'><div class='small2' style=margin:5px;'>".$Sylvia->locale['sylvia_admin_07_016']."</div></td>\n";
				echo "</tr>\n<tr>\n";
			}
		}
		echo "<td align='center' colspan='2' class='tbl'><br />\n";
		echo "<input type='submit' name='save_settings' value='".$Sylvia->locale['sylvia_admin_07_002']."' class='button' /></td>\n";
		echo "</tr>\n</table>\n</form>\n";
		closetable();
	}
}

require_once THEMES."templates/footer.php";
?>