<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: SylviaForumGenerator.class.php
| Version: 1.0.0
| Author: Yodix (www.on-deck.eu)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

class SylviaForumGenerator {
	private $Sylvia;
	private $initializer;
	private $locale;
	
	private $threadID;
	
	private $usersArr = array();
	private $usersArrTmp = array();
	
	public function __construct ($mainClass) {
		$this->Sylvia = $mainClass;
		
		if (isset($_GET['thread_id']) && isnum($_GET['thread_id'])) {
            $this->threadID = $_GET['thread_id'];
        } else if (isset($_GET['post_id']) && isnum($_GET['post_id'])) {
            $result = dbquery("SELECT thread_id FROM ".DB_POSTS." WHERE post_id='".$_GET['post_id']."'");
            if (!dbrows($result)) return;
            $this->threadID = dbresult($result, 0, 1);
        } else {
            return;
        }
		
		if ($this->Sylvia->settings['warnings_forum_info'] == 1 && !empty($this->threadID)) {
            if (iMEMBER) {
                $this->GetPostData();
            }
        }
	}
	
	private function GetPostData () {
        if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) {
            if (isset($_GET['pid']) && isnum($_GET['pid'])) {
                $reply_count = dbcount("(post_id)", DB_POSTS, "thread_id='".$_GET['thread_id']."' AND post_id<='".$_GET['pid']."'");
                if ($reply_count > 20) { $_GET['rowstart'] = ((ceil($reply_count / "20")-1) * 20); } else { $_GET['rowstart'] = 0; }
            } else {
                $_GET['rowstart'] = 0;
            }
        }

        $result = dbquery("SELECT post_id, post_author FROM ".DB_POSTS." WHERE thread_id='".$this->threadID."' ORDER BY post_datestamp LIMIT ".$_GET['rowstart'].",20");
        while($data = dbarray($result)) {
            $this->usersArr[] = $data['post_author'];
        }
        $this->usersArrTmp = array_merge(array(""), $this->usersArr);
    }
	
	private function ForumInfoData () {
		$current_user_id = next($this->usersArrTmp);
		$user_level = dbresult(dbquery("SELECT user_level FROM ".DB_USERS." WHERE user_id='".$current_user_id."'"), 0);
		if ($user_level == 101) {
			return "<!--forum_thread_user_info--><span class='small'><strong><a href='".INFUSIONS."sylvia/sylvia.php?page=warnings&amp;user_id=".$current_user_id."' title='".$this->Sylvia->locale['sylvia_fg_00_001']."'>".$this->Sylvia->locale['sylvia_fg_00_000']."</a></strong> ".$this->Sylvia->GetWarnsStatus($current_user_id, TRUE)."</span>".(iADMIN ? "&nbsp;<a href='".INFUSIONS."sylvia/sylvia.php?page=management&amp;action=add&amp;user_id=".$current_user_id."&amp;thread_id=".$this->threadID."' title='".$this->Sylvia->locale['sylvia_fg_00_002']."'><img src='".INFUSIONS."sylvia/images/add.png' height='9' width='9' alt='".$this->Sylvia->locale['sylvia_fg_00_002']."' style='border:0;vertical-align:center' /></a>" : "")."<br />\n";
		}
    }
	
	private function AddToForumInfo () {
        reset($this->usersArrTmp);
        $this->initializer = preg_replace_callback("#<!--forum_thread_user_info-->#", array($this, "ForumInfoData"), $this->initializer);
    }
	
	public function setInitializer($initializer) {
        $this->initializer = $initializer;
    }
	
	public function Execute () {
        if($this->Sylvia->settings['warnings_forum_info'] == 1) {
            $this->AddToForumInfo();
        }
        return $this->initializer;
    }
}
?>